# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 1

# enable_tests: Run test suite in build
#      0 = no
#      1 = yes
%define enable_tests 0

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_tests: %{expand: %%define enable_tests 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_tests: %{expand: %%define enable_tests 1}}


%define pkgname			gdk-pixbuf
%define api_version		2.0
%define binary_version		2.10
%define lib_major		0
%define gir_major		2.0

%define libname		%mklibname gdk_pixbuf %{api_version} %{lib_major}
%define develname	%mklibname -d gdk_pixbuf %{api_version}
%define girname		%mklibname gdk_pixbuf-gir %{gir_major}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api_version}
Version:	2.32.3
Release:        %mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Patch0:		gdk-pixbuf-2.34.0-CVE-2016-6352.patch
URL:		http://www.gtk.org
Requires:	common-licenses
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.37.6
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(x11)
BuildRequires:	gobject-introspection-devel >= 0.9.3
BuildRequires:	pkgconfig(jasper)
%if %enable_tests
BuildRequires:	x11-server-xvfb
%endif
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9 
BuildRequires:	sgml-tools
BuildRequires:	texinfo
%endif
# gw tests will fail without this
BuildRequires:	fonts-ttf-dejavu
Requires:	%{libname} = %{version}
Conflicts:	gtk+2.0 < 2.21.3

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf%{api_version} = %{version}-%{release}
Requires(pre):  %{name} >= %{version}
Requires(post):	%{name} >= %{version}
Requires:	%{name} >= %{version}
Conflicts:	%{_lib}gdk_pixbuf2.0_0-loaders-png15 < 2.28.1-5
Obsoletes:	%{_lib}gdk_pixbuf2.0_0-loaders-png15 < 2.28.1-5
# Temporary Cauldron fix (to be removed after september 2013):
Conflicts:	%{_lib}gdk_pixbuf2.0_0-loaders-png16 < 2.28.1-5
Obsoletes:	%{_lib}gdk_pixbuf2.0_0-loaders-png16 < 2.28.1-5

%description -n %{libname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{develname}
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	libgdk_pixbuf%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	pkgconfig(libpng16)
Obsoletes:	%mklibname -d gdk_pixbuf %{api_version} %{lib_major}

%description -n %{develname}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:	gir-repository < 0.6.5-4
Obsoletes:	%{mklibname gdk_pixbuf2.0-gir 2.0} < 2.23.5-4

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -n %{pkgname}-%{version} -q
%apply_patches

%build
%ifarch ppc64
export CFLAGS="%{optflags} -mminimal-toc"
%endif

# fix crash in nautilus (GNOME bug #596977)
export CFLAGS=`echo %{optflags} | sed -e 's/-fomit-frame-pointer//g'`

%configure2_5x --with-x11 \
	--with-libjasper \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make

%check
%if %enable_tests
xvfb-run make check
%endif

%install
%makeinstall_std RUN_QUERY_LOADER_TEST=false

touch %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.0/loaders.cache

# handle biarch packages
progs="gdk-pixbuf-query-loaders"
mkdir -p %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/bin
for f in $progs; do
  mv -f %{buildroot}%{_bindir}/$f %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/bin/
  cat > %{buildroot}%{_bindir}/$f << EOF
#!/bin/sh
lib=%{_lib}
case ":\$1:" in
:lib*:) lib="\$1"; shift 1;;
esac
exec %{_prefix}/\$lib/%{pkgname}-%{api_version}/bin/$f \${1+"\$@"}
EOF
  chmod +x %{buildroot}%{_bindir}/$f
done

#remove not packaged files
find %buildroot -name '*.la' -delete

%find_lang %{pkgname}

%post -n %{libname}

if [ "$1" = "2" ]; then
  if [ -f %{_libdir}/%{pkgname}-%{api_version}/2.10.0/loaders.cache ]; then
    rm -f %{_libdir}/%{pkgname}-%{api_version}/2.10.0/loaders.cache
  fi
fi

%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache

%files -f %{pkgname}.lang
%doc README
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gdk-pixbuf-pixdata
%{_mandir}/man1/gdk-pixbuf-query-loaders.1*

%files -n %{libname}
%{_libdir}/libgdk_pixbuf-%{api_version}.so.%{lib_major}*
%{_libdir}/libgdk_pixbuf_xlib-%{api_version}.so.%{lib_major}*
%dir %{_libdir}/%{pkgname}-%{api_version}
%dir %{_libdir}/%{pkgname}-%{api_version}/bin
%dir %{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.*
%dir %{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.*/loaders
%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.*/loaders/*.so
%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders
%ghost %verify (not md5 mtime size) %{_libdir}/%pkgname-%{api_version}/%{binary_version}.*/loaders.cache

%files -n %{girname}
%{_libdir}/girepository-1.0/GdkPixbuf-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/gdk-pixbuf
%{_bindir}/gdk-pixbuf-csource
%{_includedir}/%{pkgname}-%{api_version}
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/pkgconfig/gdk-pixbuf*.pc
%{_datadir}/gir-1.0/GdkPixbuf-%{gir_major}.gir
%{_mandir}/man1/gdk-pixbuf-csource.1*


%changelog
* Fri Sep 09 2016 luigiwalser <luigiwalser> 2.32.3-1.mga5
+ Revision: 1051064
- 2.32.3
- remove upstreamed CVE-2015-8875 patch
- rediff upstream patch to fix CVE-2016-6352
- add upstream patch to fix CVE-2015-8875
- 2.32.1
- add upstream patch to fix another integer overflow issue in pixops
- add upstream patch to fix security issue (bgo#752297, mga#16367)

* Sun Apr 05 2015 tv <tv> 2.31.2-2.mga5
+ Revision: 819720
- patch 0: fix regression breaking taking screenshots with virt-manager (mga#15628)

* Wed Dec 24 2014 ovitters <ovitters> 2.31.2-1.mga5
+ Revision: 805420
- new version 2.31.2

* Wed Oct 15 2014 umeabot <umeabot> 2.31.1-4.mga5
+ Revision: 740245
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 2.31.1-3.mga5
+ Revision: 731138
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 2.31.1-2.mga5
+ Revision: 679460
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 ovitters <ovitters> 2.31.1-1.mga5
+ Revision: 670720
- new version 2.31.1

* Mon Jul 21 2014 ovitters <ovitters> 2.31.0-1.mga5
+ Revision: 655176
- new version 2.31.0

* Wed May 28 2014 ovitters <ovitters> 2.30.8-1.mga5
+ Revision: 627088
- new version 2.30.8

* Tue Mar 25 2014 ovitters <ovitters> 2.30.7-1.mga5
+ Revision: 608525
- new version 2.30.7

* Mon Mar 03 2014 ovitters <ovitters> 2.30.6-1.mga5
+ Revision: 598905
- new version 2.30.6

* Tue Feb 18 2014 ovitters <ovitters> 2.30.5-1.mga5
+ Revision: 594099
- new version 2.30.5

* Tue Feb 04 2014 ovitters <ovitters> 2.30.4-1.mga5
+ Revision: 582473
- new version 2.30.4

* Mon Nov 11 2013 ovitters <ovitters> 2.30.1-1.mga4
+ Revision: 550560
- new version 2.30.1

* Sat Oct 19 2013 umeabot <umeabot> 2.30.0-2.mga4
+ Revision: 536416
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 2.30.0-1.mga4
+ Revision: 484235
- new version 2.30.0

* Tue Jul 30 2013 ovitters <ovitters> 2.29.3-1.mga4
+ Revision: 460771
- new version 2.29.3

* Mon Jun 24 2013 ovitters <ovitters> 2.29.2-1.mga4
+ Revision: 446257
- new version 2.29.2

* Sat Jun 08 2013 ovitters <ovitters> 2.28.2-1.mga4
+ Revision: 440373
- new version 2.28.2

* Tue Jun 04 2013 fwang <fwang> 2.28.1-5.mga4
+ Revision: 436902
- merge libpng loader into mainlib package, as we only provide single flavour now

* Mon Jun 03 2013 tv <tv> 2.28.1-4.mga4
+ Revision: 436299
- fix upgrade

* Sun Jun 02 2013 fwang <fwang> 2.28.1-3.mga4
+ Revision: 434597
- fix pkgname
- rebuild for new libpng

* Thu May 23 2013 tv <tv> 2.28.1-1.mga4
+ Revision: 425506
- new release

* Fri Jan 11 2013 umeabot <umeabot> 2.26.5-2.mga3
+ Revision: 351144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 2.26.5-1.mga3
+ Revision: 316986
- new version 2.26.5

* Tue Sep 18 2012 ovitters <ovitters> 2.26.4-1.mga3
+ Revision: 295701
- new version 2.26.4

* Mon Aug 20 2012 ovitters <ovitters> 2.26.3-1.mga3
+ Revision: 282691
- new version 2.26.3

* Mon Aug 06 2012 ovitters <ovitters> 2.26.2-1.mga3
+ Revision: 279406
- new version 2.26.2

* Thu Jun 07 2012 tv <tv> 2.26.1-2.mga3
+ Revision: 256702
- use %%posttrans instead of %%post (mga#5464)

* Sat Apr 14 2012 ovitters <ovitters> 2.26.1-1.mga2
+ Revision: 230801
- new version 2.26.1

* Tue Mar 20 2012 ovitters <ovitters> 2.26.0-1.mga2
+ Revision: 225078
- new version 2.26.0

* Sun Feb 05 2012 fwang <fwang> 2.25.2-1.mga2
+ Revision: 204552
- update file list
- new version 2.25.2

* Mon Jan 23 2012 dmorgan <dmorgan> 2.25.0-4.mga2
+ Revision: 200185
- Fix package ownage

* Thu Jan 05 2012 tmb <tmb> 2.25.0-3.mga2
+ Revision: 190810
- make sure gdk-pixbuf-query-loaders is available when loaders-png package is installed

* Thu Dec 22 2011 fwang <fwang> 2.25.0-2.mga2
+ Revision: 186104
- rebuild for new libtiff

* Sat Dec 17 2011 fwang <fwang> 2.25.0-1.mga2
+ Revision: 183091
- build x11 support
- fix tarball
- new version 2.25.0

* Sat Nov 12 2011 tmb <tmb> 2.24.0-7.mga2
+ Revision: 167002
- require gdk-pixbuf2.0 in pre as gdk-pixbuf-query-loaders is called during install

* Mon Sep 26 2011 fwang <fwang> 2.24.0-6.mga2
+ Revision: 147934
- requires png pkconfig for private requires

* Fri Sep 23 2011 fwang <fwang> 2.24.0-5.mga2
+ Revision: 146935
- add scriptlet requires

* Fri Sep 23 2011 fwang <fwang> 2.24.0-4.mga2
+ Revision: 146912
- split out png pixbuf loader, for upcoming lsb compatible png1.2 loader

* Sat Sep 10 2011 fwang <fwang> 2.24.0-3.mga2
+ Revision: 142125
- drop all .la files

* Sat Sep 10 2011 fwang <fwang> 2.24.0-2.mga2
+ Revision: 142085
- rebuild for new libpng
- drop old style invalid req
- new version 2.24.0

* Fri Jul 15 2011 cjw <cjw> 2.23.5-5.mga2
+ Revision: 124437
- fix gobject introspection dependencies:
  o drop library -> typelib package dependency
  o move conflicts on gir-repository from library to typelib package
  o use obsoletes instead of conflicts for typelib package name change

* Thu Jul 07 2011 wally <wally> 2.23.5-4.mga2
+ Revision: 119850
- fix gir package name

* Thu Jul 07 2011 cjw <cjw> 2.23.5-3.mga2
+ Revision: 119561
- rebuild for automatic typelib provides

* Tue Jul 05 2011 dmorgan <dmorgan> 2.23.5-2.mga2
+ Revision: 118870
- Make the lib package requires the gir one

* Sun Jul 03 2011 wally <wally> 2.23.5-1.mga2
+ Revision: 117753
- new version 2.23.5
- create a subpackage for gir .typelib
- clean .spec a bit

* Thu Jun 09 2011 dmorgan <dmorgan> 2.23.3-1.mga2
+ Revision: 102739
- New version 2.23.3

* Mon Jan 24 2011 erwan <erwan> 2.22.1-3.mga1
+ Revision: 37901
- Rebuild

* Wed Jan 12 2011 tmb <tmb> 2.22.1-2.mga1
+ Revision: 7679
- imported package gdk-pixbuf2.0

* Wed Jan 12 2011 dmorgan <dmorgan> 2.22.1-1.mga1
+ Revision: 7103
- imported package gdk-pixbuf2.0


* Wed Jan 12 2011 Thomas Backlund <tmb@mageia.org> 2.21.1-2.mga1
- initial Mageia import

* Sun Nov 07 2010 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2011.0
+ Revision: 594507
- update to new version 2.22.1

* Tue Sep 21 2010 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2011.0
+ Revision: 580427
- new version
- fix file list
- update file list

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 2.21.7-2mdv2011.0
+ Revision: 577215
- reenable xlib support

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 2.21.7-1mdv2011.0
+ Revision: 577204
- new version
- drop patch
- bump g-i dep

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 2.21.6-2mdv2011.0
+ Revision: 563232
- really use jasper
- set png as included loader to satisfty gtk building
- add upstream patch on building with included png loader

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 2.21.6-1mdv2011.0
+ Revision: 563131
- bump gobject-introspection dep
- new version
- remove patches
- fix build
- fix location of loaders cache
- bump glib dep
- split out gdk-pixbuf

* Mon May 03 2010 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2010.1
+ Revision: 541700
- new version
- drop patches 16,17

* Thu Apr 29 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.20.0-5mdv2010.1
+ Revision: 540855
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-3mdv2010.1
+ Revision: 539036
- Patch21 (Fedora): allow specifying icon padding for tray icon (GNOME bug #583273)
- Patch22 (GIT): use proper screen for getshape (GNOME bug #615853)

* Wed Apr 14 2010 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2010.1
+ Revision: 534848
- Patch16 (GIT): fix support for tracker 0.8
- Patch17 (GIT): delay search startup
- Patch18 (Fedora): improve tooltip appareance (GNOME bug #599617)
- Patch19 (Fedora): improve tooltip positioning (GNOME bug #599618)
- Patch20 (Fedora): allow window dragging toolbars / menubar (GNOME bug #611313)

* Tue Mar 23 2010 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2010.1
+ Revision: 526805
- update to new version 2.20.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.19.7-1mdv2010.1
+ Revision: 517217
- update to new version 2.19.7

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2010.1
+ Revision: 510461
- update to new version 2.19.6

* Wed Feb 10 2010 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2010.1
+ Revision: 503767
- update to new version 2.19.5

* Thu Jan 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.19.4-2mdv2010.1
+ Revision: 497637
- cleanup build

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2010.1
+ Revision: 496515
- new version
- drop patches 16,17

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 2.19.3-3mdv2010.1
+ Revision: 494035
- disable parallel make
- patch for b.g.o #607508 (cannot drag window on the pager)

* Mon Jan 18 2010 Pascal Terjan <pterjan@mandriva.org> 2.19.3-2mdv2010.1
+ Revision: 492997
- Add upstream patch fixing xchat and pidgin unhilight of active channel

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2010.1
+ Revision: 489869
- new version
- drop patch 16

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.19.2-4mdv2010.1
+ Revision: 488762
- rebuilt against libjpeg v8

* Fri Dec 25 2009 Götz Waschk <waschk@mandriva.org> 2.19.2-3mdv2010.1
+ Revision: 482173
- add missing typelib

* Wed Dec 23 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.19.2-2mdv2010.1
+ Revision: 481673
- add upstream patch to fix a crash in sylpheed

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2010.1
+ Revision: 481237
- new version
- update deps
- add introspection support

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2010.1
+ Revision: 475519
- new version
- bump atk dep

* Tue Dec 08 2009 Götz Waschk <waschk@mandriva.org> 2.18.5-1mdv2010.1
+ Revision: 474908
- update to new version 2.18.5

* Tue Dec 01 2009 Götz Waschk <waschk@mandriva.org> 2.18.4-1mdv2010.1
+ Revision: 472199
- new version
- fix build
- drop patches 14, 16, 17, 18

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.3-3mdv2010.0
+ Revision: 459955
-Patch16 (GIT): fix toolbutton assert (GNOME bug #299446)
-Patch17 (GIT): fix iconview hang (GNOME bug #581150)
-Patch18 (GIT): fix symbolic color parsing

* Fri Oct 23 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.3-2mdv2010.0
+ Revision: 459071
- Change default themes for One / Free / Powerpack

* Tue Oct 20 2009 Götz Waschk <waschk@mandriva.org> 2.18.3-1mdv2010.0
+ Revision: 458335
- update to new version 2.18.3

* Wed Oct 07 2009 Thierry Vignaud <tv@mandriva.org> 2.18.2-4mdv2010.0
+ Revision: 455480
- do not package huge NEWS 3 times (one time in devel package is enough)

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.2-3mdv2010.0
+ Revision: 454646
- Disable patch15 for now, not stable enough

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.2-2mdv2010.0
+ Revision: 454628
- Patch15 (pterjan): fix crash in nautilus (GNOME bug #596977)

* Tue Oct 06 2009 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2010.0
+ Revision: 454343
- update to new version 2.18.2

* Thu Oct 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.1-2mdv2010.0
+ Revision: 452235
- Workaround crash in nautilus / moovida by remove -fomit-frame-pointer from CFLAGS

* Thu Oct 01 2009 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2010.0
+ Revision: 451983
- update to new version 2.18.1

* Wed Sep 23 2009 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2010.0
+ Revision: 447655
- new version
- drop patches 0,1

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.17.11-3mdv2010.0
+ Revision: 443447
- install translations (bug #53681)

* Fri Sep 11 2009 Götz Waschk <waschk@mandriva.org> 2.17.11-2mdv2010.0
+ Revision: 437897
- fix window refresh in padre (bug #52802)

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.17.11-1mdv2010.0
+ Revision: 432062
- new version
- fix build

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 2.17.10-1mdv2010.0
+ Revision: 423656
- new version
- drop patches 15,16

* Tue Sep 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.17.9-3mdv2010.0
+ Revision: 423609
- Patch16 (GIT): fix crash in acroread (GNOME bug #59324) (Mdv bug #53175)

* Thu Aug 27 2009 Pascal Terjan <pterjan@mandriva.org> 2.17.9-2mdv2010.0
+ Revision: 421691
- Fix changing icons in GtkEntry

  + Frederic Crozat <fcrozat@mandriva.com>
    - Fix dependencies (Mdv bug #53224)

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.17.9-1mdv2010.0
+ Revision: 420760
- update to new version 2.17.9

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.17.8-2mdv2010.0
+ Revision: 417940
- fix blurry jpeg display with libjpeg 7 (bug #52960)

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2010.0
+ Revision: 417529
- new version
- drop patch 14

* Sun Aug 16 2009 Colin Guthrie <cguthrie@mandriva.org> 2.17.7-3mdv2010.0
+ Revision: 417094
- Add upstream fix for drag and drop offset weirdness in FF/TB (gbz#588437)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.17.7-2mdv2010.0
+ Revision: 416616
- rebuilt against libjpeg v7

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.17.7-1mdv2010.0
+ Revision: 415174
- new version
- drop patches 14,15

* Tue Aug 11 2009 Frederic Crozat <fcrozat@mandriva.com> 2.17.6-3mdv2010.0
+ Revision: 415106
- Patch15: fix mouse cursor on gdm (GNOME bug #589844)

* Tue Aug 11 2009 Pascal Terjan <pterjan@mandriva.org> 2.17.6-2mdv2010.0
+ Revision: 414971
- Add a way to disable folder creation in file choser (applied upstream)

* Sat Jul 25 2009 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2010.0
+ Revision: 399671
- new version
- drop patches 14,15

* Fri Jul 24 2009 Frederic Crozat <fcrozat@mandriva.com> 2.17.5-3mdv2010.0
+ Revision: 399476
- Patch15 (GIT): more csw fixes

* Thu Jul 23 2009 Frederic Crozat <fcrozat@mandriva.com> 2.17.5-2mdv2010.0
+ Revision: 398984
- Patch14 (GIT): various bugfixes, mostly csw related
- Bump glib dependency (Mdv bug #52107)

* Sat Jul 18 2009 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2010.0
+ Revision: 396993
- update to new version 2.17.5

* Sat Jul 11 2009 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2010.0
+ Revision: 394713
- update to new version 2.17.4

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2010.0
+ Revision: 393144
- update to new version 2.17.3

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2010.0
+ Revision: 386271
- new version

* Sat May 30 2009 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2010.0
+ Revision: 381485
- new version
- drop patch 20

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.17.0-1mdv2010.0
+ Revision: 374172
- new version
- update file list

* Mon Apr 20 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-4mdv2009.1
+ Revision: 368421
- Fix typo in Arctic theme name in patch 12

* Thu Apr 16 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2009.1
+ Revision: 367770
- Update patch12 to disable sound events by default (Mdv bug #48319)

* Wed Apr 15 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2009.1
+ Revision: 367435
- Fix default themes for One and Powerpack

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2009.1
+ Revision: 367001
- update to new version 2.16.1

* Wed Apr 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2009.1
+ Revision: 363309
- Remove patch22, no longer needed
- Update patch12 with theme colors changed for Mdv 2009.1

* Fri Mar 13 2009 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2009.1
+ Revision: 354612
- new version
- drop patch 23

* Fri Mar 13 2009 Götz Waschk <waschk@mandriva.org> 2.15.5-2mdv2009.1
+ Revision: 354582
- fix regression in GtkCompoBoxEntry (upstream bug #574059)

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2009.1
+ Revision: 347527
- new version
- drop patch 21

* Fri Feb 27 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-3mdv2009.1
+ Revision: 345639
- Don't try to rebuild cache if there is no index.theme (Mdv bug #47981)

* Thu Feb 19 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2009.1
+ Revision: 342913
- Patch21 (SVN): fix randr support on old xrandr driver
- Patch22 (SVN): fix for driver not supporting randr < 1.2 (Mdv bug #47996)

* Wed Feb 18 2009 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2009.1
+ Revision: 342273
- new version
- bump glib dep

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.15.3-2mdv2009.1
+ Revision: 336788
- drop patch 21

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2009.1
+ Revision: 336741
- update to new version 2.15.3

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update patch12 to change sound theme too
    - Don't start Xvfb if tests are disabled
    - Add git mirror url to specfile

* Tue Jan 27 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-2mdv2009.1
+ Revision: 334182
- Patch21: fix crash in gtk button

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2009.1
+ Revision: 334033
- update to new version 2.15.2

* Sat Jan 24 2009 Götz Waschk <waschk@mandriva.org> 2.15.1-1mdv2009.1
+ Revision: 333234
- new version
- drop patch 21

* Thu Jan 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.0-2mdv2009.1
+ Revision: 332462
- Patch21 (SVN): fix gtk entry loop (GNOME bug #568552)

* Fri Jan 02 2009 Götz Waschk <waschk@mandriva.org> 2.15.0-1mdv2009.1
+ Revision: 323264
- new version
- new source URL

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.14.6-1mdv2009.1
+ Revision: 315780
- new version
- fix source URL

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.14.5-1mdv2009.1
+ Revision: 306475
- new version
- fix build

* Fri Nov 07 2008 Götz Waschk <waschk@mandriva.org> 2.14.4-2mdv2009.1
+ Revision: 300653
- rebuild for new libxcb

* Fri Oct 17 2008 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdv2009.1
+ Revision: 294690
- new version
- drop patch 21

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.3-2mdv2009.0
+ Revision: 290227
- Patch21 (SVN): various bug fixes from SVN

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2009.0
+ Revision: 287716
- new version
- drop patch 21

* Sat Sep 20 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-2mdv2009.0
+ Revision: 286072
- Patch21: fix i18n init in fileselector (GNOME bug #553000)

* Thu Sep 18 2008 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2009.0
+ Revision: 285596
- new version
- drop patch 21

* Wed Sep 10 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-2mdv2009.0
+ Revision: 283491
- Patch21 (SVN) : drop RandR 1.2 calls, it is too slow and cause flickering

* Fri Sep 05 2008 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2009.0
+ Revision: 281046
- new version
- drop patch 21

* Tue Aug 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.7-2mdv2009.0
+ Revision: 276112
- Remove patch22, we won't backport gtk 2.14
- Patch21: fix window reparenting regression (Mdv bug #42487) (GNOME bug #548993)
- Update patch12 to use always use Ia Ora Smooth

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.13.7-1mdv2009.0
+ Revision: 273715
- new version
- drop patches 23,24

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.6-3mdv2009.0
+ Revision: 273281
- Patch24 (SVN): fix keyboard navigation in menu (GNOME bug #547027, Mdv bug #42914)

* Tue Aug 12 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.6-2mdv2009.0
+ Revision: 271190
- Patch23 (SVN): fix misrendering in evolution composer (GNOME bug #546754)

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2009.0
+ Revision: 264069
- new version
- drop patches 23,24

* Thu Jul 31 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-3mdv2009.0
+ Revision: 258057
- Patch24 (SVN): fix crash in gtk print dialog (GNOME bug #544390)

* Tue Jul 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-2mdv2009.0
+ Revision: 240404
- Force xinerama build (configure flag can be removed with next gtk release, fixed in upstream svn)
- Patch23: fix xinerama when randr 1.2 is in compat mode (GNOME bug #543317) (Mdv bug #42067)

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2009.0
+ Revision: 240110
- new version
- bump glib dep

* Thu Jul 17 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.4-2mdv2009.0
+ Revision: 237745
- Update minimal versions for glib/atk/pango/cairo (fix upgrade)
- Fix build on 2008.1

* Sun Jul 06 2008 Götz Waschk <waschk@mandriva.org> 2.13.4-1mdv2009.0
+ Revision: 232164
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.13.3-1mdv2009.0
+ Revision: 230986
- fix buildrequires
- new version
- add gail libs
- rediff patch 4
- drop patches 27,28
- disable --no-undefined

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 2.12.11-1mdv2009.0
+ Revision: 230550
- new version
- drop patch 29

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 09 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.10-2mdv2009.0
+ Revision: 217094
- Patch29 (SVN): fix menu positioning regression (GNOME bug #536757)

* Thu Jun 05 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.10-1mdv2009.0
+ Revision: 215227
- Release 2.12.10
- Remove patches 24 and 29, merged upstream

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.9-2mdv2008.1
+ Revision: 191596
- Patch29: fix crash in cups backend on 64bits (Mdv bug #39711)

* Wed Mar 12 2008 Götz Waschk <waschk@mandriva.org> 2.12.9-1mdv2008.1
+ Revision: 187040
- new version
- drop patches 25 and 26

* Mon Mar 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.8-5mdv2008.1
+ Revision: 177967
- Move suggest on ia_ora-gnome engine from gtk+2.0 to lib package, ensure 32bit engine is pulled when installing 32bits lib package after 64bit package is installed (Mdv bug #38405)

* Fri Feb 29 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.8-4mdv2008.1
+ Revision: 176692
- Patch26 (SVN): fix libbeagle soname
- Patch27 (SVN): fix critical warnings from Treeview (GNOME bug #488119)
- Patch28 (SVN): add Gtk/IMModule xsetting support (GNOME bug #502446)

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.8-3mdv2008.1
+ Revision: 176512
- Update patch12 for new theme names : Ia Ora Smooth for Free and Ia Ora Blue for One

* Wed Feb 13 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.8-2mdv2008.1
+ Revision: 166986
- Patch25 (SVN): guard recent manager against recursion (GNOME bug #507605) (SVN)

* Wed Feb 13 2008 Götz Waschk <waschk@mandriva.org> 2.12.8-1mdv2008.1
+ Revision: 166940
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.12.7-1mdv2008.1
+ Revision: 160153
- new version

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.12.6-1mdv2008.1
+ Revision: 159675
- new version

* Sun Jan 13 2008 Funda Wang <fwang@mandriva.org> 2.12.5-2mdv2008.1
+ Revision: 150846
- rebuild against latest gnutls

* Wed Jan 09 2008 Götz Waschk <waschk@mandriva.org> 2.12.5-1mdv2008.1
+ Revision: 147105
- new version

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.12.4-1mdv2008.1
+ Revision: 146645
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdv2008.1
+ Revision: 132239
- Only apply patch22 when building on 2008.0 or earlier

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdv2008.1
+ Revision: 115637
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires X11-devel instead of XFree86-devel

* Tue Nov 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-1mdv2008.1
+ Revision: 113370
- Regenerate patch22 by removing useless patching in it

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patches 29,30

* Mon Nov 12 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdv2008.1
+ Revision: 108171
- Update patch29 with upstream fix

* Mon Oct 29 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdv2008.1
+ Revision: 103005
- Patch30: various SVN fixes (GNOME bugs #491207, #488051,#479463, #468793, #486420, #488918)

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2008.1
+ Revision: 102555
- update patch 22
- new version
- drop patches 23,25,26,27,28

* Wed Oct 10 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-8mdv2008.1
+ Revision: 96748
- Patch29 (Kris): fix gdkwindow invalidation crash (Firefox print preview crash) (Mdv bug #33579)

* Thu Oct 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-7mdv2008.0
+ Revision: 95322
- Patch27 (SVN): improve file chooser entry field response to Ctrl-L shortcut (GNOME bug #455284)
- Patch28 (SVN): fix filechooser date conversion for non-UTF8 locale (GNOME bug #482504)

* Wed Sep 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-6mdv2008.0
+ Revision: 93052
- Patch26 (SVN): fix crash when cancelling search (GNOME bug #480123)

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-5mdv2008.0
+ Revision: 92493
- Patch25: prevent crash with old eclipse release (GNOME bug #460194)

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-4mdv2008.0
+ Revision: 92484
- Patch23 : various fixes from SVN
- Remove patch21 (merged in patch23)
- Patch24: fix XDG mime cache crash (fd.o bug #12512)

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-3mdv2008.0
+ Revision: 88522
- readd patch 22 (bug #33003)

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdv2008.0
+ Revision: 85679
- Update patch12 with theme Ia Ora One for desktop metaclass

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdv2008.0
+ Revision: 85497
- Patch21 (SVN): fix icon cache validation (GNOME bug #476342)

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop merged patches 17,18,19,21,22

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-7mdv2008.0
+ Revision: 84539
- fix context menu (upstream bug #449371)

* Mon Sep 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-6mdv2008.0
+ Revision: 78683
- Patch19 (Jan de Groot): prevent Flash to crash with glib 2.12 (GNOME bug #463773)
- Patch20 (MK): rename Uzbek translations to match mdv-2008.0 locales-uz (Mdv bug #33003)

* Thu Aug 30 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-5mdv2008.0
+ Revision: 75709
- Patch19 (SVN): fix build with latest CUPS
- move im-multipress.conf file from lib to main package

* Wed Aug 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-4mdv2008.0
+ Revision: 60352
- Patch18 (SVN): fix crash on deprecated tooltip private field access (Mdv bug #32034)

* Wed Aug 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-3mdv2008.0
+ Revision: 60090
- Add xdg-user-dirs-gtk as suggest
- Use suggests instead of hard dependencies for ia-ora
- add bootstrap mode for those suggests
- Drop patch16, it won't be revived

* Tue Jul 31 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-2mdv2008.0
+ Revision: 57080
- Patch17 (SVN): fix tooltip on systray

* Sat Jul 21 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-1mdv2008.0
+ Revision: 54261
- new version

* Tue Jul 03 2007 Götz Waschk <waschk@mandriva.org> 2.11.5-1mdv2008.0
+ Revision: 47384
- new version
- update file list

* Wed Jun 20 2007 Götz Waschk <waschk@mandriva.org> 2.11.4-1mdv2008.0
+ Revision: 41806
- new version
- drop patch 0
- disable patch 16

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-2mdv2008.0
+ Revision: 40743
- fix clash with C++ symbol

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2008.0
+ Revision: 40593
- disable checks, they fail in iurt
- fix buildrequires
- new version

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdv2008.0
+ Revision: 36051
- new version
- new version
- drop patches 15,17
- rediff patch 16
- bump deps

* Thu May 03 2007 Götz Waschk <waschk@mandriva.org> 2.10.12-1mdv2008.0
+ Revision: 21346
- new version
- update patch 17
- drop patch 18

